Skip Menu |
 

This queue is for tickets about the Test-WWW-Selenium CPAN distribution.

Report information
The Basics
Id: 46815
Status: resolved
Worked: 10 min
Priority: 0/
Queue: Test-WWW-Selenium

People
Owner: Nobody in particular
Requestors: jim.x.kc [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: (no value)



Subject: Problems installing Jifty. Test::WWW::Selenium fails because AutoInstall is deprecated. Needs an updated version of Module::Install
Download (untitled) / with headers
text/plain 1.1k
While installing Jifty via cpanplus it "threw me into" the "old cpan" to install the 'Test::Mock::LWP' module, which was required for the 'Test::WWW::Selenium' module to be installed. The bug may be in 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I think it needs an updated version of Module::Install included to fix this. This is what I did in order to "work around" it. Downloaded the Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and removed the line 'auto_install;' Tar up Test::WWW::Selenium again and ran 'cpanp -i file:///path/to/Test-WWW-Selenium.tar.gz' and installed Test::WWW::Selenium module and all of it's dependencies. # Below is all of the details that I can think of to "recreate" # the environment I was in when the above happened. # Version of Test::WWW::Selenium was: Test-WWW-Selenium-1.17 # My version of Perl was: v5.10.0 # The 'uname -a' command gives my the following about my OS enviroment: Linux username 2.6.27-7-generic i686 GNU/Linux # Specific OS I am using: Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) # End If there is anything I can do to help out I would be glad to volunteer. Thanks for your time, Jim
Subject: Makefile.PL
Download Makefile.PL
text/x-perl 657b
#!/usr/bin/perl -w use warnings; use strict; use inc::Module::Install; # Need to explicitly pre-load this so it doesn't conflict with a mocked one # created by loading Test::Mock::LWP use LWP::UserAgent; name 'Test-WWW-Selenium'; author 'Luke Closs <test-www-selenium@awesnob.com>'; requires 'LWP::UserAgent' => 0; requires 'URI::Escape' => '1.31'; build_requires 'Test::More' => '0.42'; build_requires 'Test::Exception' => 0; build_requires 'Test::Mock::LWP' => 0; build_requires 'Test::Pod' => 0; license 'perl'; # Auto-install all dependencies from CPAN auto_install; # Generate the Makefile WriteAll;
Download (untitled) / with headers
text/plain 1.6k
Hi, Thanks for the bug report. I've updated Module::Install for the latest version here: http://github.com/lukec/cpan-selenium-rc-perl If you would be so kind to pull down the updated version and see if it fixes your problem, then I will package it and push it up to CPAN. If I don't hear from you I'll just push it up to CPAN in a few days. Cheers, Luke On Tue Jun 09 18:50:08 2009, jxc wrote: Show quoted text
> While installing Jifty via cpanplus it "threw me into" the "old cpan" to > install the 'Test::Mock::LWP' module, which was required for the > 'Test::WWW::Selenium' module to be installed. The bug may be in > 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I > think it needs an updated version of Module::Install included to fix
this. Show quoted text
> > This is what I did in order to "work around" it. Downloaded the > Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and removed > the line 'auto_install;' > > Tar up Test::WWW::Selenium again and ran 'cpanp -i > file:///path/to/Test-WWW-Selenium.tar.gz' and installed > Test::WWW::Selenium module and all of it's dependencies. > > # Below is all of the details that I can think of to "recreate" > # the environment I was in when the above happened. > > # Version of Test::WWW::Selenium was: > Test-WWW-Selenium-1.17 > > # My version of Perl was: > v5.10.0 > > # The 'uname -a' command gives my the following about my OS enviroment: > Linux username 2.6.27-7-generic i686 GNU/Linux > > # Specific OS I am using: > Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) > > # End > > If there is anything I can do to help out I would be glad to volunteer. > > Thanks for your time, > Jim
Subject: Re: [rt.cpan.org #46815] Problems installing Jifty. Test::WWW::Selenium fails because AutoInstall is deprecated. Needs an updated version of Module::Install
Date: Tue, 9 Jun 2009 22:52:46 -0400
To: bug-Test-WWW-Selenium [...] rt.cpan.org
From: j c <jim.x.kc [...] gmail.com>
Download (untitled) / with headers
text/plain 2.2k
Luke- Hi! Thanks so much for the reply. I would be thrilled to do that for you. It's almost 11pm EST here (Eastern Daylight Time (EDT) -0400 UTC) ....so I will do it tomorrow as today has been very long day for me. I'll email you tomorrow and see if it fixes the problem and get right back to you. Thanks again! Cheers, Jim Casey On Tue, Jun 9, 2009 at 10:29 PM, Luke Closs via RT < bug-Test-WWW-Selenium@rt.cpan.org> wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=46815 > > > Hi, > > Thanks for the bug report. I've updated Module::Install for the latest > version here: > > http://github.com/lukec/cpan-selenium-rc-perl > > If you would be so kind to pull down the updated version and see if it > fixes your problem, then I will package it and push it up to CPAN. > > If I don't hear from you I'll just push it up to CPAN in a few days. > > Cheers, > Luke > > On Tue Jun 09 18:50:08 2009, jxc wrote:
> > While installing Jifty via cpanplus it "threw me into" the "old cpan" to > > install the 'Test::Mock::LWP' module, which was required for the > > 'Test::WWW::Selenium' module to be installed. The bug may be in > > 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I > > think it needs an updated version of Module::Install included to fix
> this.
> > > > This is what I did in order to "work around" it. Downloaded the > > Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and removed > > the line 'auto_install;' > > > > Tar up Test::WWW::Selenium again and ran 'cpanp -i > > file:///path/to/Test-WWW-Selenium.tar.gz' and installed > > Test::WWW::Selenium module and all of it's dependencies. > > > > # Below is all of the details that I can think of to "recreate" > > # the environment I was in when the above happened. > > > > # Version of Test::WWW::Selenium was: > > Test-WWW-Selenium-1.17 > > > > # My version of Perl was: > > v5.10.0 > > > > # The 'uname -a' command gives my the following about my OS enviroment: > > Linux username 2.6.27-7-generic i686 GNU/Linux > > > > # Specific OS I am using: > > Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) > > > > # End > > > > If there is anything I can do to help out I would be glad to volunteer. > > > > Thanks for your time, > > Jim
> > >
Subject: Re: [rt.cpan.org #46815] Problems installing Jifty. Test::WWW::Selenium fails because AutoInstall is deprecated. Needs an updated version of Module::Install
Date: Wed, 10 Jun 2009 20:24:12 -0400
To: bug-Test-WWW-Selenium [...] rt.cpan.org
From: j c <jim.x.kc [...] gmail.com>
Download (untitled) / with headers
text/plain 3.1k
Luke- ...just found the time to start "fooling around" with the updated module. Wouldn't 'sudo cpanp -i lukec-cpan-selenium-rc-perl-6595015686bb741767c31844386bccd792ae0e64.tar.gz' be enough to get cpanp to start installing the module and it's dependencies? The other way 'perl Makefile.PL" produced the following error: "Bareword "WriteAll" not allowed while "strict subs" in use at Makefile.PL line 19. Execution of Makefile.PL aborted due to compilation errors." I have not had much opportunity to do something like this so I think it's more of a 'user error' than anything else. Usually 90% of the time it's a "permissions thing". I install under 'root' when I use cpanp so maybe that's the problem? I am sure it's something I am going wrong so I'll keep working at it. Thanks again, Jim On Tue, Jun 9, 2009 at 10:52 PM, j c <jim.x.kc@gmail.com> wrote: Show quoted text
> Luke- > > Hi! Thanks so much for the reply. I would be thrilled to do that for you. > It's almost 11pm EST here (Eastern Daylight Time (EDT) -0400 UTC) ....so I > will do it tomorrow as today has been very long day for me. I'll email you > tomorrow and see if it fixes the problem and get right back to you. Thanks > again! > > Cheers, > Jim Casey > > > On Tue, Jun 9, 2009 at 10:29 PM, Luke Closs via RT < > bug-Test-WWW-Selenium@rt.cpan.org> wrote: >
>> <URL: https://rt.cpan.org/Ticket/Display.html?id=46815 > >> >> Hi, >> >> Thanks for the bug report. I've updated Module::Install for the latest >> version here: >> >> http://github.com/lukec/cpan-selenium-rc-perl >> >> If you would be so kind to pull down the updated version and see if it >> fixes your problem, then I will package it and push it up to CPAN. >> >> If I don't hear from you I'll just push it up to CPAN in a few days. >> >> Cheers, >> Luke >> >> On Tue Jun 09 18:50:08 2009, jxc wrote:
>> > While installing Jifty via cpanplus it "threw me into" the "old cpan" to >> > install the 'Test::Mock::LWP' module, which was required for the >> > 'Test::WWW::Selenium' module to be installed. The bug may be in >> > 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I >> > think it needs an updated version of Module::Install included to fix
>> this.
>> > >> > This is what I did in order to "work around" it. Downloaded the >> > Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and removed >> > the line 'auto_install;' >> > >> > Tar up Test::WWW::Selenium again and ran 'cpanp -i >> > file:///path/to/Test-WWW-Selenium.tar.gz' and installed >> > Test::WWW::Selenium module and all of it's dependencies. >> > >> > # Below is all of the details that I can think of to "recreate" >> > # the environment I was in when the above happened. >> > >> > # Version of Test::WWW::Selenium was: >> > Test-WWW-Selenium-1.17 >> > >> > # My version of Perl was: >> > v5.10.0 >> > >> > # The 'uname -a' command gives my the following about my OS enviroment: >> > Linux username 2.6.27-7-generic i686 GNU/Linux >> > >> > # Specific OS I am using: >> > Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) >> > >> > # End >> > >> > If there is anything I can do to help out I would be glad to volunteer. >> > >> > Thanks for your time, >> > Jim
>> >> >>
>
Subject: Re: [rt.cpan.org #46815] Problems installing Jifty. Test::WWW::Selenium fails because AutoInstall is deprecated. Needs an updated version of Module::Install
Date: Wed, 10 Jun 2009 18:03:42 -0700
To: bug-Test-WWW-Selenium [...] rt.cpan.org, jim.x.kc [...] gmail.com
From: Luke Closs <lukecloss [...] gmail.com>
Hi Jim, I would expect that you could git-clone or download a tarball from http://github.com/lukec/cpan-selenium-rc-perl/tree/master, and then run `perl Makefile.PL` and it should work. I just tried running it and it seemed to work okay. try doing: sudo make clean first, perhaps. Luke <jim.x.kc@gmail.com> On Wed, Jun 10, 2009 at 5:24 PM, Jim via RT < bug-Test-WWW-Selenium@rt.cpan.org> wrote: Show quoted text
> Queue: Test-WWW-Selenium > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=46815 > > > Luke- > > ...just found the time to start "fooling around" with the updated module. > Wouldn't 'sudo cpanp -i > > lukec-cpan-selenium-rc-perl-6595015686bb741767c31844386bccd792ae0e64.tar.gz' > be enough to get cpanp to start installing the module and it's > dependencies? > > > The other way 'perl Makefile.PL" produced the following error: > "Bareword "WriteAll" not allowed while "strict subs" in use at Makefile.PL > line 19. > Execution of Makefile.PL aborted due to compilation errors." > > I have not had much opportunity to do something like this so I think it's > more of a 'user error' than anything else. Usually 90% of the time it's a > "permissions thing". I install under 'root' when I use cpanp so maybe > that's > the problem? I am sure it's something I am going wrong so I'll keep working > at it. > > Thanks again, > Jim > > On Tue, Jun 9, 2009 at 10:52 PM, j c <jim.x.kc@gmail.com> wrote: >
> > Luke- > > > > Hi! Thanks so much for the reply. I would be thrilled to do that for you. > > It's almost 11pm EST here (Eastern Daylight Time (EDT) -0400 UTC) ....so
> I
> > will do it tomorrow as today has been very long day for me. I'll email
> you
> > tomorrow and see if it fixes the problem and get right back to you.
> Thanks
> > again! > > > > Cheers, > > Jim Casey > > > > > > On Tue, Jun 9, 2009 at 10:29 PM, Luke Closs via RT < > > bug-Test-WWW-Selenium@rt.cpan.org> wrote: > >
> >> <URL: https://rt.cpan.org/Ticket/Display.html?id=46815 > > >> > >> Hi, > >> > >> Thanks for the bug report. I've updated Module::Install for the latest > >> version here: > >> > >> http://github.com/lukec/cpan-selenium-rc-perl > >> > >> If you would be so kind to pull down the updated version and see if it > >> fixes your problem, then I will package it and push it up to CPAN. > >> > >> If I don't hear from you I'll just push it up to CPAN in a few days. > >> > >> Cheers, > >> Luke > >> > >> On Tue Jun 09 18:50:08 2009, jxc wrote:
> >> > While installing Jifty via cpanplus it "threw me into" the "old cpan"
> to
> >> > install the 'Test::Mock::LWP' module, which was required for the > >> > 'Test::WWW::Selenium' module to be installed. The bug may be in > >> > 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I > >> > think it needs an updated version of Module::Install included to fix
> >> this.
> >> > > >> > This is what I did in order to "work around" it. Downloaded the > >> > Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and
> removed
> >> > the line 'auto_install;' > >> > > >> > Tar up Test::WWW::Selenium again and ran 'cpanp -i > >> > file:///path/to/Test-WWW-Selenium.tar.gz' and installed > >> > Test::WWW::Selenium module and all of it's dependencies. > >> > > >> > # Below is all of the details that I can think of to "recreate" > >> > # the environment I was in when the above happened. > >> > > >> > # Version of Test::WWW::Selenium was: > >> > Test-WWW-Selenium-1.17 > >> > > >> > # My version of Perl was: > >> > v5.10.0 > >> > > >> > # The 'uname -a' command gives my the following about my OS
> enviroment:
> >> > Linux username 2.6.27-7-generic i686 GNU/Linux > >> > > >> > # Specific OS I am using: > >> > Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) > >> > > >> > # End > >> > > >> > If there is anything I can do to help out I would be glad to
> volunteer.
> >> > > >> > Thanks for your time, > >> > Jim
> >> > >> > >>
> >
> > > Luke- > > ...just found the time to start "fooling around" with the updated module. > Wouldn't 'sudo cpanp -i > lukec-cpan-selenium-rc-perl-6595015686bb741767c31844386bccd792ae0e64.tar.gz' > be enough to get cpanp to start installing the module and it's dependencies? > > > The other way 'perl Makefile.PL" produced the following error: > "Bareword "WriteAll" not allowed while "strict subs" in use at Makefile.PL > line 19. > Execution of Makefile.PL aborted due to compilation errors." > > I have not had much opportunity to do something like this so I think it's > more of a 'user error' than anything else. Usually 90% of the time it's a > "permissions thing". I install under 'root' when I use cpanp so maybe that's > the problem? I am sure it's something I am going wrong so I'll keep working > at it. > > Thanks again, > Jim > > On Tue, Jun 9, 2009 at 10:52 PM, j c <jim.x.kc@gmail.com> wrote: >
>> Luke- >> >> Hi! Thanks so much for the reply. I would be thrilled to do that for you. >> It's almost 11pm EST here (Eastern Daylight Time (EDT) -0400 UTC) ....so I >> will do it tomorrow as today has been very long day for me. I'll email you >> tomorrow and see if it fixes the problem and get right back to you. Thanks >> again! >> >> Cheers, >> Jim Casey >> >> >> On Tue, Jun 9, 2009 at 10:29 PM, Luke Closs via RT < >> bug-Test-WWW-Selenium@rt.cpan.org> wrote: >>
>>> <URL: https://rt.cpan.org/Ticket/Display.html?id=46815 > >>> >>> Hi, >>> >>> Thanks for the bug report. I've updated Module::Install for the latest >>> version here: >>> >>> http://github.com/lukec/cpan-selenium-rc-perl >>> >>> If you would be so kind to pull down the updated version and see if it >>> fixes your problem, then I will package it and push it up to CPAN. >>> >>> If I don't hear from you I'll just push it up to CPAN in a few days. >>> >>> Cheers, >>> Luke >>> >>> On Tue Jun 09 18:50:08 2009, jxc wrote:
>>> > While installing Jifty via cpanplus it "threw me into" the "old cpan"
>>> to
>>> > install the 'Test::Mock::LWP' module, which was required for the >>> > 'Test::WWW::Selenium' module to be installed. The bug may be in >>> > 'Test::WWW::Selenium' as it uses the 'auto_install;' command. And I >>> > think it needs an updated version of Module::Install included to fix
>>> this.
>>> > >>> > This is what I did in order to "work around" it. Downloaded the >>> > Test::WWW::Selenium tarball, unpack it, edit the Makefile.PL and
>>> removed
>>> > the line 'auto_install;' >>> > >>> > Tar up Test::WWW::Selenium again and ran 'cpanp -i >>> > file:///path/to/Test-WWW-Selenium.tar.gz' and installed >>> > Test::WWW::Selenium module and all of it's dependencies. >>> > >>> > # Below is all of the details that I can think of to "recreate" >>> > # the environment I was in when the above happened. >>> > >>> > # Version of Test::WWW::Selenium was: >>> > Test-WWW-Selenium-1.17 >>> > >>> > # My version of Perl was: >>> > v5.10.0 >>> > >>> > # The 'uname -a' command gives my the following about my OS enviroment: >>> > Linux username 2.6.27-7-generic i686 GNU/Linux >>> > >>> > # Specific OS I am using: >>> > Xubuntu 8.10 w/ Xfce 4 Desktop Environment version 4.4.2 (Xfce 4.4) >>> > >>> > # End >>> > >>> > If there is anything I can do to help out I would be glad to volunteer. >>> > >>> > Thanks for your time, >>> > Jim
>>> >>> >>>
>>
> >
I never heard back on this issue. I will be releasing a newer Module::Install with 1.18.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.